%define wxbranch 2.6
%define ucode u

#def_disable unicode
%def_enable unicode

%if_disabled unicode
%define ucode %{-E}
%endif

Name: wxGTK2%ucode
Version: %wxbranch.1
Release: alt0.M24.1

Summary: The GTK+ port of the wxWidgets library
License: wxWidgets License
Group: System/Libraries
Url: http://www.wxwidgets.org/
Packager: Andrey Astafiev <andrei@altlinux.ru>

Source: http://belnet.dl.sourceforge.net/sourceforge/wxwidgets/wxGTK-%version.tar.bz2
%if "%wxbranch" < "2.5"
Patch1: wxGTK-2.4.1-alt-fonts.patch
Patch2: wxGTK-2.4.2-alt-contribs_for_compile.patch
%else
Patch1: wxGTK-2.5.3-alt-contribs_for_compile.patch
%endif

Requires: wxGTK-common
BuildPreReq:  gcc-c++

# Automatically added by buildreq on Mon Jun 13 2005
BuildRequires: cppunit-devel esound-devel fontconfig freetype2 gcc-c++ glib2-devel gtk+-devel libatk-devel libaudiofile-devel libexpat-devel libgtk+2-devel libjpeg-devel libpango-devel libpng-devel libstdc++-devel libtiff-devel pkgconfig XFree86-devel zlib-devel

%description
wxWidgets is a free C++ library for cross-platform GUI development.
With wxWidgets, you can create applications for different GUIs
(GTK+, Motif/LessTif, MS Windows, Mac) from the same source code.

This is a GTK+ port.

%package devel
Summary: Development files for wxGTK library
Group: Development/C++
Requires: %name = %version
Conflicts: wxGTK-devel
Conflicts: wxGTKu-devel
%if_enabled unicode
Conflicts: wxGTK2-devel
%else
Conflicts: wxGTK2u-devel
%endif

%description devel
Header files for wxGTK, the GTK+ port of the wxWidgets library.

%package examples
Summary: wxGTK example programs
Group: Development/C++
Requires: %name-devel = %version
Conflicts: wxGTK-examples
Conflicts: wxGTKu-examples
%if_enabled unicode
Conflicts: wxGTK2-examples
%else
Conflicts: wxGTK2u-examples
%endif

%description examples
wxGTK example programs.

%package contrib-stc
Summary: wxWidgets styled text control library
Group: System/Libraries       
Requires: %name = %version
Obsoletes: wxGTK-contrib-stc

%description contrib-stc
wxWidgets styled text control library.

%package contrib-stc-devel
Summary: Development files for wxWidgets styled text control library
Group: Development/C++
Requires: %name-contrib-stc = %version
Conflicts: wxGTK-contrib-stc-devel
Conflicts: wxGTKu-contrib-stc-devel
%if_enabled unicode
Conflicts: wxGTK2-contrib-stc-devel
%else
Conflicts: wxGTK2u-contrib-stc-devel
%endif

%description contrib-stc-devel
Header files for wxWidgets styled text control library.

%package contrib-gizmos
Summary: wxWidgets cell and canvas layout objects
Group: System/Libraries       
Requires: %name = %version

%description contrib-gizmos
wxWidgets cell and canvas layout objects.

%package contrib-gizmos-devel
Summary: Development files for wxWidgets cell and canvas layout objects
Group: Development/C++
Requires: %name-contrib-gizmos = %version
%if_enabled unicode
Conflicts: wxGTK2-contrib-gizmos-devel
%else
Conflicts: wxGTK2u-contrib-gizmos-devel
%endif

%description contrib-gizmos-devel
Header files for wxWidgets cell and canvas layout objects.

%package contrib-ogl
Summary: wxWidgets' object graphics library
Group: System/Libraries
Requires: %name = %version

%description contrib-ogl
wxWidgets' Object Graphics Library (OGL) is a C++ library supporting the
creation and manipulation of simple and complex graphic images on a canvas.

%package contrib-ogl-devel
Summary: Development files for wxWidgets' object graphics library
Group: Development/C++
Requires: %name-contrib-ogl = %version
%if_enabled unicode
Conflicts: wxGTK2-contrib-ogl-devel
%else
Conflicts: wxGTK2u-contrib-ogl-devel
%endif

%description contrib-ogl-devel
Header files for wxWidgets' object graphics library.

%prep
%setup -q -n wxGTK-%version
%patch1 -p1
%if "%wxbranch" < "2.5"
%patch2 -p1
%endif
%__subst 's/wxstd/wxstd2%ucode/' src/common/intl.cpp
%__subst 's/wxstd/wxstd2%ucode/' locale/Makefile
%__subst 's/wxstd/wxstd2%ucode/' Makefile.in

%build
%configure --without-odbc \
	   --without-debug_flag \
	   --without-debug_info \
	   --without-opengl \
	   --with-gtk \
	   --enable-plugins \
	   --with-xresources \
	   --enable-optimise \
	   --enable-shared \
	   --enable-unicode%{?_disable_unicode:=no} \
	   --enable-gtk2=yes \
	   --enable-soname

%make_build
cd contrib/src
%make_build

%install
%makeinstall
%__mkdir -p %buildroot%_datadir/wx/examples/src
%__cp -a demos samples %buildroot%_datadir/wx/examples
%__ln_s -f ../lib/wx/config/`ls %buildroot%_libdir/wx/config` %buildroot%_bindir/wx-config
%if "%wxbranch" < "2.5"
%__cp -a src/*.env %buildroot%_datadir/wx/examples/src
%__cp -a version-script %buildroot%_datadir/wx/examples
%__subst 's/${top_builddir}/\/usr/' %buildroot%_datadir/wx/examples/src/*
%__subst 's/$(top_builddir)\/lib/\/usr\/lib/' %buildroot%_datadir/wx/examples/src/makeprog.env
%endif

%find_lang wxstd2%ucode

cd contrib/src
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%post contrib-stc -p %post_ldconfig
%postun contrib-stc -p %postun_ldconfig

%post contrib-gizmos -p %post_ldconfig
%postun contrib-gizmos -p %postun_ldconfig

%post contrib-ogl -p %post_ldconfig
%postun contrib-ogl -p %postun_ldconfig

%files -f wxstd2%ucode.lang
%doc CHANGES.txt COPYING.LIB INSTALL.txt LICENCE.txt README.txt TODO.txt
%_libdir/libwx_base%{ucode}-%wxbranch.so.*
%_libdir/libwx_base%{ucode}_net-%wxbranch.so.*
%_libdir/libwx_gtk2%{ucode}_adv-%wxbranch.so.*
%_libdir/libwx_gtk2%{ucode}_core-%wxbranch.so.*
%_libdir/libwx_gtk2%{ucode}_html-%wxbranch.so.*
%_libdir/libwx_gtk2%{ucode}_media-%wxbranch.so.*
%_libdir/libwx_gtk2%{ucode}_xrc-%wxbranch.so.*
%_libdir/libwx_gtk2%{ucode}_qa-%wxbranch.so.*
%if "%wxbranch" >= "2.5"
%_libdir/libwx_base%{ucode}_xml-%wxbranch.so.*
%endif

%files devel
%_bindir/*
%_libdir/libwx_base%{ucode}-%wxbranch.so
%_libdir/libwx_base%{ucode}_net-%wxbranch.so
%_libdir/libwx_gtk2%{ucode}_adv-%wxbranch.so
%_libdir/libwx_gtk2%{ucode}_core-%wxbranch.so
%_libdir/libwx_gtk2%{ucode}_html-%wxbranch.so
%_libdir/libwx_gtk2%{ucode}_media-%wxbranch.so
%_libdir/libwx_gtk2%{ucode}_xrc-%wxbranch.so
%_libdir/libwx_gtk2%{ucode}_qa-%wxbranch.so
%if_enabled unicode
%_libdir/wx/config/gtk2-unicode-release-%wxbranch
%dir %_libdir/wx/include/gtk2-unicode-release-%wxbranch
%_libdir/wx/include/gtk2-unicode-release-%wxbranch/wx
%else
%_libdir/wx/config/gtk2-ansi-release-%wxbranch
%dir %_libdir/wx/include/gtk2-ansi-release-%wxbranch
%_libdir/wx/include/gtk2-ansi-release-%wxbranch/wx
%endif
%_datadir/aclocal/*.m4
%dir %_includedir/wx-%wxbranch
%dir %_includedir/wx-%wxbranch/wx
%_includedir/wx-%wxbranch/wx/generic
%_includedir/wx-%wxbranch/wx/gtk
%_includedir/wx-%wxbranch/wx/html
%_includedir/wx-%wxbranch/wx/protocol
%_includedir/wx-%wxbranch/wx/unix
%_includedir/wx-%wxbranch/wx/xrc
%_includedir/wx-%wxbranch/wx/*.h
%_includedir/wx-%wxbranch/wx/*.cpp
%if "%wxbranch" >= "2.5"
%_libdir/libwx_base%{ucode}_xml-%wxbranch.so
%_includedir/wx-%wxbranch/wx/xml
%endif

%files contrib-stc
%_libdir/libwx_gtk2%{ucode}_stc-%wxbranch.so.*

%files contrib-stc-devel
%_libdir/libwx_gtk2%{ucode}_stc-%wxbranch.so
%_includedir/wx-%wxbranch/wx/stc

%files contrib-gizmos
%_libdir/libwx_gtk2%{ucode}_gizmos-%wxbranch.so.*
%_libdir/libwx_gtk2%{ucode}_gizmos_xrc-%wxbranch.so.*

%files contrib-gizmos-devel
%_libdir/libwx_gtk2%{ucode}_gizmos-%wxbranch.so
%_libdir/libwx_gtk2%{ucode}_gizmos_xrc-%wxbranch.so
%_includedir/wx-%wxbranch/wx/gizmos

%files contrib-ogl
%_libdir/libwx_gtk2%{ucode}_ogl-%wxbranch.so.*

%files contrib-ogl-devel
%_libdir/libwx_gtk2%{ucode}_ogl-%wxbranch.so
%_includedir/wx-%wxbranch/wx/ogl

%files examples
%_datadir/wx/examples

%changelog
* Sat Sep 10 2005 Vitaly Lipatov <lav@altlinux.ru> 2.6.1-alt0.M24.1
- backports to ALT Linux 

* Mon Jun 13 2005 Andrey Astafiev <andrei@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Wed May 18 2005 Andrey Astafiev <andrei@altlinux.ru> 2.6.0-alt2
- Added contrib-ogl.

* Tue May 03 2005 Andrey Astafiev <andrei@altlinux.ru> 2.6.0-alt1
- 2.6.0 

* Mon Apr 11 2005 Andrey Astafiev <andrei@altlinux.ru> 2.5.5-alt1
- 2.5.5

* Sun Mar 20 2005 Andrey Astafiev <andrei@altlinux.ru> 2.5.4-alt2
- Added contrib-gizmos.
- Added patch for compatibility with wxPython 2.5.4.1.

* Sat Feb 26 2005 Andrey Astafiev <andrei@altlinux.ru> 2.5.4-alt1
- 2.5.4

* Thu Oct 28 2004 Andrey Astafiev <andrei@altlinux.ru> 2.5.3-alt2
- XRC files moved to main package.

* Wed Sep 15 2004 Andrey Astafiev <andrei@altlinux.ru> 2.5.3-alt1
- 2.5.3
- With this version of spec wxGTK will be built with gtk2 support.
- It is possible to build and install four different types of wxGTK.
- Dynamic linked libraries of any build version can coexists in system.
- Fixed build of examples.

* Sun Mar 28 2004 Andrey Astafiev <andrei@altlinux.ru> 1:2.4.2-alt2
- Added XRC and STC libraries from contribs.
- Changed name from wxWindows to wxWidgets.

* Sun Sep 28 2003 Andrey Astafiev <andrei@altlinux.ru> 1:2.4.2-alt1
- 2.4.2

* Mon Aug 25 2003 Andrey Astafiev <andrei@altlinux.ru> 1:2.4.1-alt2
- Patched wxTooltip and wxToolbar.

* Fri Jun 20 2003 Andrey Astafiev <andrei@altlinux.ru> 1:2.4.1-alt1
- 2.4.1
- Some corrections taken from PLD spec:
  * Examples moved to separate package.
  * Added aclocal file.

* Wed Mar 05 2003 Andrey Astafiev <andrei@altlinux.ru> 1:2.4.0-alt3
- Some spec corrections taken from Yuri Sedunov's unstable version.
- Fixed wxGTK-devel package group.
- Removed OpenGL support.

* Thu Jan 16 2003 Andrey Astafiev <andrei@altlinux.ru> 1:2.4.0-alt2
- Some minor spec changes (thanks to Oleg Gints).

* Mon Jan 13 2003 Andrey Astafiev <andrei@altlinux.ru> 1:2.4.0-alt1
- 2.4.0.

* Tue Feb 12 2002 Andrey Astafiev <andrei@altlinux.ru> 1:2.2.9-alt1
- Rollback to stable branch 2.2.x.
- 2.2.9.

* Mon Jan 28 2002 Stanislav Ievlev <inger@altlinux.ru> 2.3.2-alt1
- 2.3.2

* Wed Jun 27 2001 AEN <aen@logic.ru> 2.3.1-alt1
- new version

* Wed Jun 27 2001 AEN <aen@logic.ru> 2.2.7-alt1
- new version

* Tue Apr 03 2001 Rider <rider@altlinux.ru> alt2
- bugfix

* Tue Apr 03 2001 Rider <rider@altlinux.ru> alt1
- 2.2.6

* Sun Dec 17 2000 AEN <aen@logic.ru>
- adopted for RE

* Tue Dec 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.2-2mdk
- build for gcc-2.96

* Sun Sep 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.2-1mdk
- update to 2.2.2
- clean spec
- BM

* Sat Aug 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.0-1mdk
- fix symlink that broke this lib
- update to 2.2.0
- macros

* Sat May 27 2000 Vincent Danen <vdanen@linux-mandrake.com> 2.1.15-2mdk
- add --with-gtk, --without-odbc, --without-shared, --without-debug_flag,
  and --without-debug_info to configure

* Fri May 26 2000 Vincent Danen <vdanen@linux-mandrake.com> 2.1.15-1mdk
- initial specfile
- bzip sources
